<?php

namespace Nelio_AB_Testing\Experiment_Library\Compat\Polylang;

defined( 'ABSPATH' ) || exit;

function exclude_polylang_taxonomies_from_overwriting( $taxonomies ) {
	$polylang_taxonomies = [ 'language', 'term_language', 'post_translations', 'term_translations' ];
	return array_values(
		array_filter(
			$taxonomies,
			function ( $taxonomy ) use ( &$polylang_taxonomies ) {
				return ! in_array( $taxonomy, $polylang_taxonomies, true );
			}
		)
	);
}//end exclude_polylang_taxonomies_from_overwriting()

function localize_home_url( $url, $path ) {
	return untrailingslashit( pll_home_url() ) . $path;
}//end localize_home_url()

function fix_homepage_permalink( $permalink, $post_id ) {
	$home_id = absint( get_option( 'page_on_front' ) );
	return $home_id === $post_id ? pll_home_url() : $permalink;
}//end fix_homepage_permalink()

add_action(
	'plugins_loaded',
	function() {
		if ( ! defined( 'POLYLANG' ) && ! defined( 'POLYLANG_PRO' ) ) {
			return;
		}//end if
		add_action( 'nab_get_taxonomies_to_overwrite', __NAMESPACE__ . '\exclude_polylang_taxonomies_from_overwriting' );
		add_action( 'nab_get_testable_taxonomies', __NAMESPACE__ . '\exclude_polylang_taxonomies_from_overwriting' );
		add_action( 'nab_home_url', __NAMESPACE__ . '\localize_home_url', 10, 2 );
		add_action( 'nab_get_permalink', __NAMESPACE__ . '\fix_homepage_permalink', 10, 2 );
	}
);
